import { OnModuleInit } from '@nestjs/common';
import { Model } from 'mongoose';
import { DropdownOption, DropdownOptionDocument } from './dropdown-option.schema';
export declare class DropdownOptionsService implements OnModuleInit {
    private readonly model;
    private readonly logger;
    constructor(model: Model<DropdownOptionDocument>);
    onModuleInit(): Promise<void>;
    private seedDefaults;
    findByCategory(category: string): Promise<DropdownOption[]>;
    create(category: string, value: string): Promise<DropdownOption>;
}
